APISettings
Update webhook
Update a webhook's label, url, events, or active state. Setting active to true also clears an automatic disable. Requires the admin scope.
PATCH
/settings/webhooks/{id}curl -X PATCH "https://productlane.com/api/v2/settings/webhooks/{id}" \
-H "Authorization: Bearer $PRODUCTLANE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"label": "string",
"url": "https://example.com",
"events": [
"string"
],
"active": true
}'Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Parameters
idstringpathrequired
Body
application/json
labelstringurlstring<uri>eventsstring[]activeboolean
Response
application/json
Successful response
idstringrequiredlabelstringrequiredurlstringrequiredeventsstring[]requiredactivebooleanrequireddisabled_atstring | nullrequiredcreated_atstringrequiredupdated_atstringrequired
{
"id": "string",
"label": "string",
"url": "string",
"events": [
"string"
],
"active": true,
"disabled_at": "string",
"created_at": "string",
"updated_at": "string"
}